// FileSelectDialog.h: CFileSelectDialog クラスのインターフェイス
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FILESELECTDIALOG_H__4FACDF00_4731_4FCB_84F3_34D78C318055__INCLUDED_)
#define AFX_FILESELECTDIALOG_H__4FACDF00_4731_4FCB_84F3_34D78C318055__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CFileSelectDialog  
{
public:
	void AddExt(CString ext,CString info);
	CString GetFilePath();
	int OpenFile(CString title="Open File");
	void SetFlag(int flag);
	CFileSelectDialog(HWND owner,CString defaultName="");
	virtual ~CFileSelectDialog();

private:
	CStringArray	m_filter;
	CStringArray	m_info;
	OPENFILENAME	m_ofn;
	char			m_nameBuf[MAX_PATH+1];
};

#endif // !defined(AFX_FILESELECTDIALOG_H__4FACDF00_4731_4FCB_84F3_34D78C318055__INCLUDED_)
